Package com.logicaldoc.core.generic

# Class Generic

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.metadata.ExtensibleObject
com.logicaldoc.core.generic.Generic

All Implemented Interfaces:
  `Extensible`, `Serializable`, `Comparable<Generic>`

@Entity public class Generic extends ExtensibleObject implements Comparable<Generic>
Instances of this class represents generic informations in the database. Use this Business entity to store configurations or stuffs like this.
Each Generic is identified by a type and subtype

Since:
  4.0
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Generic()`
`Generic(String type, String subtype)`
`Generic(String type, String subtype, Long qualifier)`
`Generic(String type, String subtype, Long qualifier, long tenantId)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Generic o)`
`boolean`
`equals(Object obj)`
`Map<String,Attribute>`
`getAttributes()`
`Date`
`getDate1()`
`Date`
`getDate2()`
`String`
`getDisplayString1()`
`Double`
`getDouble1()`
`Double`
`getDouble2()`
`Long`
`getInteger1()`
`Long`
`getInteger2()`
`Long`
`getInteger3()`
`Long`
`getQualifier()`
`String`
`getString1()`
`String`
`getString2()`
`String`
`getString3()`
`String`
`getString4()`
`String`
`getString5()`
`String`
`getString6()`
`String`
`getString7()`
`String`
`getString8()`
`String`
`getSubtype()`
`Template`
`getTemplate()`
`Long`
`getTemplateId()`
`String`
`getTemplateName()`
`String`
`getText1()`
`String`
`getType()`
`int`
`hashCode()`
`void`
`setAttributes(Map<String,Attribute> attributes)`
`void`
`setDate1(Date date1)`
`void`
`setDate2(Date date2)`
`void`
`setDouble1(Double double1)`
`void`
`setDouble2(Double double2)`
`void`
`setInteger1(Long integer1)`
`void`
`setInteger2(Long integer2)`
`void`
`setInteger3(Long integer3)`
`void`
`setQualifier(Long qualifier)`
`void`
`setString1(String string1)`
`void`
`setString2(String string2)`
`void`
`setString3(String string3)`
`void`
`setString4(String string4)`
`void`
`setString5(String string5)`
`void`
`setString6(String string6)`
`void`
`setString7(String string7)`
`void`
`setString8(String string8)`
`void`
`setSubtype(String subtype)`
`void`
`setTemplate(Template template)`
`void`
`setTemplateId(Long templateId)`
`void`
`setTemplateName(String templateName)`
`void`
`setText1(String text1)`
`void`
`setType(String type)`

### Methods inherited from class com.logicaldoc.core.metadata.ExtensibleObject

`getAttribute, getAttributeAtPosition, getAttributeNames, getAttributeNames, getValue, getValueAttributes, getValues, removeAttribute, setAttribute, setValue, setValues`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Generic

public Generic()

### Generic

public Generic(String type, String subtype)

### Generic

public Generic(String type, String subtype, Long qualifier)

### Generic

public Generic(String type, String subtype, Long qualifier, long tenantId)

## Method Details

### getType

public String getType()

### setType

public void setType(String type)

### getSubtype

public String getSubtype()

### setSubtype

public void setSubtype(String subtype)

### getString1

public String getString1()

### setString1

public void setString1(String string1)

### getString2

public String getString2()

### setString2

public void setString2(String string2)

### getInteger1

public Long getInteger1()

### setInteger1

public void setInteger1(Long integer1)

### getInteger2

public Long getInteger2()

### setInteger2

public void setInteger2(Long integer2)

### getDouble1

public Double getDouble1()

### setDouble1

public void setDouble1(Double double1)

### getDouble2

public Double getDouble2()

### setDouble2

public void setDouble2(Double double2)

### getDate1

public Date getDate1()

### setDate1

public void setDate1(Date date1)

### getDate2

public Date getDate2()

### setDate2

public void setDate2(Date date2)

### getDisplayString1

public String getDisplayString1()

### getString3

public String getString3()

### setString3

public void setString3(String string3)

### getInteger3

public Long getInteger3()

### setInteger3

public void setInteger3(Long integer3)

### getQualifier

public Long getQualifier()

### setQualifier

public void setQualifier(Long qualifier)

### getString4

public String getString4()

### setString4

public void setString4(String string4)

### getString5

public String getString5()

### setString5

public void setString5(String string5)

### getString6

public String getString6()

### setString6

public void setString6(String string6)

### getString7

public String getString7()

### setString7

public void setString7(String string7)

### getString8

public String getString8()

### setString8

public void setString8(String string8)

### getText1

public String getText1()

### setText1

public void setText1(String text1)

### getAttributes

public Map<String,Attribute> getAttributes()

Specified by:
  `getAttributes` in interface `Extensible`

### setAttributes

public void setAttributes(Map<String,Attribute> attributes)

Specified by:
  `setAttributes` in interface `Extensible`

### compareTo

public int compareTo(Generic o)

Specified by:
  `compareTo` in interface `Comparable<Generic>`

### getTemplateId

public Long getTemplateId()

Specified by:
  `getTemplateId` in interface `Extensible`

### setTemplateId

public void setTemplateId(Long templateId)

Specified by:
  `setTemplateId` in interface `Extensible`

### getTemplateName

public String getTemplateName()

Specified by:
  `getTemplateName` in interface `Extensible`

### setTemplateName

public void setTemplateName(String templateName)

Specified by:
  `setTemplateName` in interface `Extensible`

### getTemplate

public Template getTemplate()

Specified by:
  `getTemplate` in interface `Extensible`

### setTemplate

public void setTemplate(Template template)

Specified by:
  `setTemplate` in interface `Extensible`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`